## com.imcode.imcms.servlet
Interface DocumentFinderPage

All Known Implementing Classes:
  AdminManagerSearchPage, SearchDocumentsPage

    public interface DocumentFinderPage

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.lucene.search.Query` `getQuery()`
`void` `setDocumentFinder(DocumentFinder documentFinder)`
`void` `setDocumentsFound(java.util.List documentsFound)`

Method Detail

### getQuery

    org.apache.lucene.search.Query getQuery()

### setDocumentsFound

    void setDocumentsFound(java.util.List documentsFound)

### forward

    void forward(javax.servlet.http.HttpServletRequest request,
                 javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### setDocumentFinder

    void setDocumentFinder(DocumentFinder documentFinder)